Arch Roof/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(28 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=Arch Roof|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Roof|Shortcut=R F}}


{{Docnav
|[[Arch_Window|Window]]
|[[Arch_CompAxis|CompAxis]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Window.svg
|IconR=Arch_CompAxis.png
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch Roof
|Name/ro=Arch Roof
|MenuLocation=Arch → Roof
|Workbenches=[[Arch_Workbench/ro|Arch]]
|Shortcut=R F
|SeeAlso=[[Arch Structure]], [[Arch Wall]]
}}
</div>

<span id="Description"></span>
==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
Instrumentul Acoperiș vă permite să creați un acoperiș înclinat de la o linie selctată. Obiectul de acoperiș creat este parametric, menținându-și relația cu obiectul de bază. Rețineți că acest instrument este în curs de dezvoltare și ar putea să nu reușească cu forme foarte complexe. Principiul este acela că fiecare margine este văzută alocând un profil de acoperiș (panta, lățimea, lungimea, grosimea ...).
Instrumentul Acoperiș vă permite să creați un acoperiș înclinat de la o linie selctată. Obiectul de acoperiș creat este parametric, menținându-și relația cu obiectul de bază. Rețineți că acest instrument este în curs de dezvoltare și ar putea să nu reușească cu forme foarte complexe. Principiul este acela că fiecare margine este văzută alocând un profil de acoperiș (panta, lățimea, lungimea, grosimea ...).
</div>


'''Note:''' This tool is still in development, and might fail with very complex shapes.

[[Image:RoofExample.png|600px]]
<div class="mw-translate-fuzzy">
[[Image:RoofExample.png|600px]]
[[Image:RoofExample.png|600px]]
</div>


<span id="Usage_(wire_base)"></span>
<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
# Create a wire with following the counterclockwise direction and select it.
# Create a wire with following the counterclockwise direction and select it.
#*[[Image:CounterclockwiseWire.png|600px]]
#*[[Image:CounterclockwiseWire.png|600px]]
Line 25: Line 56:
#*[[Image:RoofProfil.png|600px]]
#*[[Image:RoofProfil.png|600px]]
# '''Also you can check this video''' : https://www.youtube.com/watch?v=4Urwru71dVk
# '''Also you can check this video''' : https://www.youtube.com/watch?v=4Urwru71dVk
</div>


==Usage (solid base)==

If your roof has a complex shape (e.g. contains pitched windows or other non-standard features) you can create a custom solid object using various other FreeCAD workbenches ([[Part_Workbench|Part]], [[Sketcher_Workbench|Sketcher]] etc.). And then use this solid as the {{PropertyData|Base}} object of your roof:

# Select the solid base object.
# Press the {{Button|[[Image:Arch_Roof.svg|16px]] [[Arch Roof|Arch Roof]]}} button, or press {{KEY|R}} then {{KEY|F}} keys.

==Subtracting a roof==

Roofs have an automatically generated subtraction volume ({{Version|1.0}} for roofs with a solid base). When a roof is [[Arch_Remove|removed]] from the walls of a building, both the roof itself as well as everything above it is subtracted from the walls.

{{Version|1.0}}: It is possible to override the automatic subtraction volume by setting the {{PropertyData|Subvolume}} property of the roof to a custom solid object.

[[File:Arch_Roof_Subtract_Default.png|x150px]] [[File:Arch_Roof_Subtract_Subvolume.png|x150px]] [[File:Arch_Roof_Subvolume_Example.png|x150px]]
{{Caption|Solid-based roof before (1st image) and after (2nd image) [[Arch_Remove|removing]] it from walls.<br>
The 3rd image shows the generated subtraction volume.}}

<span id="Options"></span>
== Opţiuni ==
== Opţiuni ==


<div class="mw-translate-fuzzy">
* Roofs share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Roofs share the common properties and behaviours of all [[Arch Component|Arch Components]]
</div>


<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


===Data===
* {{PropertyData|Angles}}: List of the slope angle of the roof pane (an angle for each edge in the wire).

* {{PropertyData|Runs}}: List of the width of the roof pane (a run for each edge in the wire).
{{TitleProperty|Roof}}
* {{PropertyData|IdRel}}: List of relation Id The slope angle of the roof

<div class="mw-translate-fuzzy">
* {{PropertyData|Angles}}: Valorea unghiurilor apei/versantului acoperișului (un unghi pentru fiecare margine filamentului).
* {{PropertyData|Runs}}: Proiecția orizontală a lungimii apei/versantului acoperișului (o apă/versant pentru fiecare margine a filamentului inițial).
* {{PropertyData|IdRel}}: Relația/raportul Id între unghiul și panta acoperișului
* {{PropertyData|Thickness}}: List of thickness of the roof pane. (a thickness for each edge in the wire).
* {{PropertyData|Thickness}}: List of thickness of the roof pane. (a thickness for each edge in the wire).
* {{PropertyData|Overhang}}: List of the overhang of the roof pane (an overhang for each edge in the wire).
* {{PropertyData|Overhang}}: Proiecția orizontală a streașinei fiecărei ape/versat al acoperișului (o sreașină pentru fiecare margine a filamentului original).
* {{PropertyData|Face}}: The face index of the base object to be used #Not really used
* {{PropertyData|Face}}: Indexul fațetei obiectului de bază de utilizat #Nu este deocamdaă utilizat
</div>


==Scripting==

<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>


<div class="mw-translate-fuzzy">
Instrumentul Acoperiș poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
Instrumentul Acoperiș poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
</div>

{{Code|code=
{{Code|code=
makeRoof (baseobj,[facenr],[angles],[runs],[idrel],[thickness],[overhang],[name])
Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
}}
}}

:Makes a roof based on a closed wire. You can provide a list of angles, run, idrel, thickness, overhang for each edges in the wire to define the roof shape. The default for angle is 45 and the list is automatically complete to match with number of edges in the wire.
<div class="mw-translate-fuzzy">
: Face un acoperiș pe baza unui filament închis. Puteți furniza o listă de unghiuri, run, idrel, grosime, consola pentru fiecare margine a firului pentru a defini forma acoperișului. Valoarea implicită pentru unghi este de 45 și lista este completată automat pentru a se potrivi cu numărul de muchii din fir.
</div>


Exempluː
Exempluː

{{Code|code=
{{Code|code=
import FreeCAD as App
import Arch, Draft
import Arch, Draft

rect = Draft.makeRectangle(30,40)
doc = App.newDocument()
Arch.makeRoof(rect,angles=[30.,])

rect = Draft.makeRectangle(3000, 4000)
doc.recompute()

roof = Arch.makeRoof(rect, angles=[30.,])

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(0, 2000, 0)

wire = Draft.make_wire([p1, p2, p3], closed=True)
doc.recompute()

roof1 = Arch.makeRoof(wire)

doc.recompute()
}}
}}


<div class="mw-translate-fuzzy">
[[Category:Arch/ro]]
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:47, 21 April 2024

Arch Roof

poziția meniului
Arch → Roof
Ateliere
Arch
scurtătură
R F
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Structure, Arch Wall

Descriere

Instrumentul Acoperiș vă permite să creați un acoperiș înclinat de la o linie selctată. Obiectul de acoperiș creat este parametric, menținându-și relația cu obiectul de bază. Rețineți că acest instrument este în curs de dezvoltare și ar putea să nu reușească cu forme foarte complexe. Principiul este acela că fiecare margine este văzută alocând un profil de acoperiș (panta, lățimea, lungimea, grosimea ...).

Note: This tool is still in development, and might fail with very complex shapes.

Cum se folosește

  1. Create a wire with following the counterclockwise direction and select it.
  2. Press the Arch Roof button, or press R then F keys
  3. The default roof object could have a strange shape, it's because the tool have not all the needed informations.
  4. After creating the default roof, double click on the object in the tree view to access and edit all the properties. Angle must be between 0 and 90.
  5. Each line correspond to a roof pane. So you can set properties you want for each roof pane.
  6. To help you, you can set Angle or Run to 0 and defined a Relative Id, this make automatic calculs to find the data relative to the relative Id.
  7. It work like this :
    1. If Angle = 0 and Run = 0 then profile is identical to the relative profile.
    2. If Angle = 0 then angle is calculated so that the height is the same one as the relative profile.
    3. If Run = 0 then Run is calculated so that the height is the same one as the relative profile.
  8. At the end, set an angle to 90° to make a gable.
  9. Also you can check this video : https://www.youtube.com/watch?v=4Urwru71dVk

Usage (solid base)

If your roof has a complex shape (e.g. contains pitched windows or other non-standard features) you can create a custom solid object using various other FreeCAD workbenches (Part, Sketcher etc.). And then use this solid as the DateBase object of your roof:

  1. Select the solid base object.
  2. Press the Arch Roof button, or press R then F keys.

Subtracting a roof

Roofs have an automatically generated subtraction volume (introduced in version 1.0 for roofs with a solid base). When a roof is removed from the walls of a building, both the roof itself as well as everything above it is subtracted from the walls.

introduced in version 1.0: It is possible to override the automatic subtraction volume by setting the DateSubvolume property of the roof to a custom solid object.

Solid-based roof before (1st image) and after (2nd image) removing it from walls.
The 3rd image shows the generated subtraction volume.

Opţiuni

Proprietăți

Data

Roof

  • DateAngles: Valorea unghiurilor apei/versantului acoperișului (un unghi pentru fiecare margine filamentului).
  • DateRuns: Proiecția orizontală a lungimii apei/versantului acoperișului (o apă/versant pentru fiecare margine a filamentului inițial).
  • DateIdRel: Relația/raportul Id între unghiul și panta acoperișului
  • DateThickness: List of thickness of the roof pane. (a thickness for each edge in the wire).
  • DateOverhang: Proiecția orizontală a streașinei fiecărei ape/versat al acoperișului (o sreașină pentru fiecare margine a filamentului original).
  • DateFace: Indexul fațetei obiectului de bază de utilizat #Nu este deocamdaă utilizat

Scripting

Scrip-Programare

Instrumentul Acoperiș poate fi folosit în macros și din consola python utilizând următoarea funcție:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
Face un acoperiș pe baza unui filament închis. Puteți furniza o listă de unghiuri, run, idrel, grosime, consola pentru fiecare margine a firului pentru a defini forma acoperișului. Valoarea implicită pentru unghi este de 45 și lista este completată automat pentru a se potrivi cu numărul de muchii din fir.

Exempluː

import FreeCAD as App
import Arch, Draft

doc = App.newDocument()

rect = Draft.makeRectangle(3000, 4000)
doc.recompute()

roof = Arch.makeRoof(rect, angles=[30.,])

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(0, 2000, 0)

wire = Draft.make_wire([p1, p2, p3], closed=True)
doc.recompute()

roof1 = Arch.makeRoof(wire)

doc.recompute()